Summary:           IRC to other chat networks gateway
Name:              bitlbee
Version:           1.2.5
Release:           1%{?dist}
License:           GPLv2+ and MIT
Group:             System Environment/Daemons
URL:               http://www.bitlbee.org/
Source0:           http://get.bitlbee.org/src/%{name}-%{version}.tar.gz
Source1:           bitlbee.xinetd
Source2:           bitlbee-wrapper.h
Patch0:            bitlbee-1.2.5-libresolv.patch
Requires:          xinetd
Requires(pre):     shadow-utils
Requires(preun):   /sbin/service
BuildRequires:     glib2-devel >= 2.4, libxslt
%if 0%{?fedora}%{?rhel}
BuildRequires:     gnutls-devel
%else
BuildRequires:     openssl-devel
%endif
BuildRoot:         %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Bitlbee is an IRC to other chat networks gateway. Bitlbee can be used as
an IRC server which forwards everything you say to people on other chat
networks like ICQ, MSN, Jabber or Yahoo!

%package devel
Summary:           Development files for bitlbee
Group:             Development/Libraries
Requires:          %{name} = %{version}-%{release}, pkgconfig

%description devel
The bitlbee-devel package includes header files necessary for building and
developing programs and plugins which use bitlbee.

%prep
%setup -q
%if 0%{?fedora}%{?rhel} < 6
%patch0 -p1 -b .libresolv
%endif

perl -pi.make -e '
                s|\$\(BINDIR\)|\$(sbindir)|g;
                s|\$\(DATADIR\)|\$(datadir)/%{name}|g;
                s|\$\(ETCDIR\)|\$(sysconfdir)/%{name}|g;
                s|\$\(MANDIR\)|\$(mandir)|g;
                s|\$\(INCLUDEDIR\)|\$(includedir)/%{name}|g;
                s|\$\(PCDIR\)|\$(libdir)/pkgconfig|g;
                s|install -m|install -p -m|g;
        ' Makefile */Makefile */*/Makefile

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure \
        --prefix=%{_prefix} \
        --bindir=%{_sbindir} \
        --etcdir=%{_sysconfdir}/%{name} \
        --mandir=%{_mandir} \
        --datadir=%{_datadir}/%{name} \
        --config=%{_localstatedir}/lib/%{name} \
        --pcdir=%{_libdir}/pkgconfig \
        --plugindir=%{_libdir}/%{name} \
        --strip=0 \
        --plugins=1 \
%if 0%{?fedora}%{?rhel}
        --ssl=gnutls
%else
        --ssl=openssl
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall install-dev

# Install some files manually to their correct destination
mkdir -p $RPM_BUILD_ROOT{%{_localstatedir}/lib,%{_libdir}}/%{name}
install -D -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/%{name}
install -D -p -m 644 %{name}.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/%{name}.conf

# Hack to allow parallel install of 32 bit and 64 bit -devel packages
%if 0%{?fedora}%{?rhel}
mv -f $RPM_BUILD_ROOT%{_includedir}/%{name}/config{,-%{_arch}}.h
install -p -m 644 %{SOURCE2} $RPM_BUILD_ROOT%{_includedir}/%{name}/config.h
%endif

# Convert everything to UTF-8
iconv -f iso-8859-1 -t utf-8 -o doc/CHANGES.utf8 doc/CHANGES
touch -c -r doc/CHANGES doc/CHANGES.utf8
mv -f doc/CHANGES.utf8 doc/CHANGES

iconv -f iso-8859-1 -t utf-8 -o doc/CREDITS.utf8 doc/CREDITS
touch -c -r doc/CREDITS doc/CREDITS.utf8
mv -f doc/CREDITS.utf8 doc/CREDITS

%pre
getent group %{name} > /dev/null || %{_sbindir}/groupadd -r %{name}
getent passwd %{name} > /dev/null || %{_sbindir}/useradd -r -g %{name} -d %{_localstatedir}/lib/%{name} -s /sbin/nologin -c "BitlBee User" %{name}
exit 0

%preun
if [ $1 -eq 0 ]; then
  /sbin/service xinetd condrestart > /dev/null 2>&1 || :
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING doc/{AUTHORS,CHANGES,CREDITS,FAQ,README}
%doc doc/user-guide/*.xml doc/user-guide/user-guide.txt
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/xinetd.d/%{name}
%{_sbindir}/%{name}
%{_libdir}/%{name}/
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}*
%attr(0700,bitlbee,bitlbee) %dir %{_localstatedir}/lib/%{name}

%files devel
%defattr(-,root,root,-)
%doc doc/example_plugin.c
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Thu Mar 18 2010 Robert Scheck <robert@fedoraproject.org> 1.2.5-1
- Upgrade to 1.2.5

* Sat Oct 17 2009 Robert Scheck <robert@fedoraproject.org> 1.2.4-1
- Upgrade to 1.2.4

* Mon Aug 17 2009 Robert Scheck <robert@fedoraproject.org> 1.2.3-4
- Updated libresolv patch to not segfault when connecting to the
  Jabber/XMPP server if there's no SRV record (#506719, #501786)
- Added -devel subpackage with header files for plugins (#504882)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Robert Scheck <robert@fedoraproject.org> 1.2.3-2
- Rebuilt against gcc 4.4 and rpm 4.6

* Sun Sep 07 2008 Robert Scheck <robert@fedoraproject.org> 1.2.3-1
- Upgrade to 1.2.3 (#461424)

* Wed Aug 27 2008 Robert Scheck <robert@fedoraproject.org> 1.2.2-1
- Upgrade to 1.2.2 (#460355)

* Mon Jul 07 2008 Robert Scheck <robert@fedoraproject.org> 1.2.1-1
- Upgrade to 1.2.1 (thanks to Matěj Cepl)

* Tue Apr 15 2008 Robert Scheck <robert@fedoraproject.org> 1.2-1
- Upgrade to 1.2 (#439047, thanks to Matěj Cepl)

* Sun Feb 10 2008 Robert Scheck <robert@fedoraproject.org> 1.0.4-2
- Rebuilt against gcc 4.3

* Wed Aug 29 2007 Robert Scheck <robert@fedoraproject.org> 1.0.4-1
- Upgrade to 1.0.4
- Updated the license tag according to the guidelines

* Mon May 07 2007 Robert Scheck <robert@fedoraproject.org> 1.0.3-6
- Rebuilt

* Sat Oct 21 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-5
- Create a bitlbee user and condrestart xinetd instead of reload

* Fri Aug 04 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-4
- Switched to gnutls per default for SSL support (#196591 #c12)

* Mon Jun 26 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-3
- Added patch for using CFLAGS env (#196591 #c4, upstream #171)

* Sun Jun 25 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-2
- Changes to match with Fedora Packaging Guidelines (#196591)

* Sun Jun 25 2006 Robert Scheck <robert@fedoraproject.org> 1.0.3-1
- Upgrade to 1.0.3

* Sun Apr 02 2006 Robert Scheck <robert@fedoraproject.org> 1.0.2-1
- Upgrade to 1.0.2

* Sun Jan 15 2006 Robert Scheck <robert@fedoraproject.org> 1.0.1-1
- Upgrade to 1.0.1

* Wed Dec 28 2005 Robert Scheck <robert@fedoraproject.org> 1.0-2
- Rebuilt against gcc 4.1

* Mon Dec 05 2005 Robert Scheck <robert@fedoraproject.org> 1.0-1
- Upgrade to 1.0

* Sat Nov 12 2005 Robert Scheck <robert@fedoraproject.org> 0.92-4
- Rebuilt against openssl 0.9.8a

* Sun Aug 28 2005 Robert Scheck <robert@fedoraproject.org> 0.92-3
- Added patch, that allows specifying the Jabber server manually
- Don't start bitlbee per default as xinetd service

* Sun Jul 03 2005 Robert Scheck <robert@fedoraproject.org> 0.92-2
- Added patch giving ICQ/AIM support for typing notifications

* Fri Jul 01 2005 Robert Scheck <robert@fedoraproject.org> 0.92-1
- Upgrade to 0.92
- Initial spec file for Fedora Core
